The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get All User Details

Prev Next

Resource URL

GET /users

This URL is to retrieve the details of all the users.

Request Parameters

No request parameters are required for this URL.

Response Parameters

Following field is returned with the URL, otherwise error details are returned.

Field Name

Description

Data Type

nsmUsers

This field contains the details of all the users.

Object

Details of nsmUsers:

Field Name

Description

Data Type

userId

Unique identifier of a user

String

userName

Name given to the user

String

firstAndLastName

First and last name of the user

String

domainId

The domain in which the user was created

String

role

This field contains the information regarding the role assigned to the user. It can have any value from the list of roles already defined in the Manager, i.e.,

  • ePO dashboard data retriever

  • Policy administrator

  • NOC operator

  • Report generator

  • Security expert

  • Super user

  • System administrator

  • No role

Note

In addition to the above mentioned roles, the user can also be assigned a custom created role.

String

emailId

Email address of the user

String

Example

Request

GET https://<MANAGER_IP>/sdkapi/users

Response

{
    "nsmUsers": [
        {
            "userId": 1,
            "userName": "admin",
            "firstAndLastName": "Administrator",
            "domainId": 0,
            "role": "Super User",
            "emailId": "Administrator Email"
        },
       {
            "userId": 101,
            "userName": "rundeckuser",
            "firstAndLastName": "Rundeck User",
            "domainId": 0,
            "role": "Super User",
            "emailId": "soc-specialists@xyz.com"
        },
        {
            "userId": 102,
            "userName": "apiuser",
            "firstAndLastName": "API User",
            "domainId": 0,
            "role": "Super User",
            "emailId": "api-user@xyz.com"
        }
    ]
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

4501

Unable to get the Manager details.